Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.sql
Class SQLExceptions

    java.lang.Object
      org.apache.openjpa.jdbc.sql.SQLExceptions

    public class SQLExceptions

extends Object

Helper class for converting a `SQLException` into the appropriate OpenJPA type.

Author:
  Marc Prud'hommeaux

Constructor Summary
`SQLExceptions()`

Method Summary
`static OpenJPAException` | `getStore(Localizer.Message msg, SQLException se, DBDictionary dict)` Convert the specified exception into a `StoreException`.
`static OpenJPAException` | `getStore(Localizer.Message msg, SQLException se, DBDictionary dict, int level)` Convert the specified exception into a `StoreException`.
`static OpenJPAException` | `getStore(SQLException se)` Convert the specified exception into a `StoreException`.
`static OpenJPAException` | `getStore(SQLException se, DBDictionary dict)` Convert the specified exception into a `StoreException`.
`static OpenJPAException` | `getStore(SQLException se, DBDictionary dict, int level)` Convert the specified exception into a `StoreException`.
`static OpenJPAException` | `getStore(SQLException se, Object failed)` Convert the specified exception into a `OpenJPAException`.
`static OpenJPAException` | `getStore(SQLException se, Object failed, DBDictionary dict)` Convert the specified exception into a `StoreException`.
`static OpenJPAException` | `getStore(SQLException se, Object failed, DBDictionary dict, int level)` Convert the specified exception into a `StoreException`.
`static OpenJPAException` | `getStore(String msg, SQLException se, DBDictionary dict)` Convert the specified exception into a `StoreException`.
`static OpenJPAException` | `getStore(String msg, SQLException se, DBDictionary dict, int level)` Convert the specified exception into a `StoreException`.
`static OpenJPAException` | `getStore(String msg, SQLException se, Object failed, DBDictionary dict)` Convert the specified exception into a `StoreException`.
`static OpenJPAException` | `getStore(String msg, SQLException se, Object failed, DBDictionary dict, int level)` Convert the specified exception into a `StoreException`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLExceptions

    public SQLExceptions()

Method Detail

### getStore

    public static OpenJPAException getStore(SQLException se)

  Convert the specified exception into a `StoreException`.

### getStore

    public static OpenJPAException getStore(SQLException se,
                                            Object failed)

  Convert the specified exception into a `OpenJPAException`.

### getStore

    public static OpenJPAException getStore(SQLException se,
                                            DBDictionary dict)

  Convert the specified exception into a `StoreException`.

### getStore

    public static OpenJPAException getStore(SQLException se,
                                            DBDictionary dict,
                                            int level)

  Convert the specified exception into a `StoreException`.

### getStore

    public static OpenJPAException getStore(SQLException se,
                                            Object failed,
                                            DBDictionary dict)

  Convert the specified exception into a `StoreException`.

### getStore

    public static OpenJPAException getStore(SQLException se,
                                            Object failed,
                                            DBDictionary dict,
                                            int level)

  Convert the specified exception into a `StoreException`.

### getStore

    public static OpenJPAException getStore(Localizer.Message msg,
                                            SQLException se,
                                            DBDictionary dict)

  Convert the specified exception into a `StoreException`.

### getStore

    public static OpenJPAException getStore(Localizer.Message msg,
                                            SQLException se,
                                            DBDictionary dict,
                                            int level)

  Convert the specified exception into a `StoreException`.

### getStore

    public static OpenJPAException getStore(String msg,
                                            SQLException se,
                                            DBDictionary dict)

  Convert the specified exception into a `StoreException`.

### getStore

    public static OpenJPAException getStore(String msg,
                                            SQLException se,
                                            DBDictionary dict,
                                            int level)

  Convert the specified exception into a `StoreException`.

### getStore

    public static OpenJPAException getStore(String msg,
                                            SQLException se,
                                            Object failed,
                                            DBDictionary dict)

  Convert the specified exception into a `StoreException`.

### getStore

    public static OpenJPAException getStore(String msg,
                                            SQLException se,
                                            Object failed,
                                            DBDictionary dict,
                                            int level)

  Convert the specified exception into a `StoreException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.